> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List groups

> Get a list of all groups in your Domo instance.



## OpenAPI

````yaml /openapi/platform/group.yaml GET /v1/groups
openapi: 3.1.0
info:
  title: Group API
  version: '1.0'
  description: >-
    Group objects allow you to manage a group and users associated to a group.
    Groups allow you to set access rights, send Buzz messages, or share content
    that stays consistent even when the group members may change.  The API
    allows you to create, delete, retrieve a user or a list of users, and update
    user information.


    ### The Group Object


    #### Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | User's full name

    id | String | The ID of the group

    name | String | The name of the group

    default | Boolean | Whether the group is the default group

    active | Boolean | The active status of the group

    creatorId | String | The ID of the user who created the group

    memberCount | Number | The member count of the group

    userIds | Array | The IDs of the users in the group
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/groups:
    get:
      tags: []
      summary: List groups
      description: Get a list of all groups in your Domo instance.
      operationId: get-v1-groups
      parameters:
        - schema:
            type: integer
          in: query
          name: limit
          description: >-
            The amount of groups to return in the list. The default is 50 and
            the maximum is 500.
        - schema:
            type: integer
          in: query
          name: offset
          description: >-
            The offset of the group ID to begin list of groups within the
            response.
      responses:
        '200':
          description: >-
            Returns all group objects that meet argument criteria from original
            request.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    default:
                      type: boolean
                    id:
                      type: integer
                    memberCount:
                      type: integer
                    name:
                      type: string
                x-examples:
                  Example 1:
                    - default: false
                      id: 2079369923
                      memberCount: 30
                      name: Sales Team East
                    - default: false
                      id: 1117375123
                      memberCount: 55
                      name: Sales Team West
              examples:
                Example 1:
                  value:
                    - default: false
                      id: 2079369923
                      memberCount: 30
                      name: Sales Team East
                    - default: false
                      id: 1117375123
                      memberCount: 55
                      name: Sales Team West
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````